Bug 474247 - Selinux prevents totem-mozplugin from working
Selinux prevents totem-mozplugin from working
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-12-02 17:55 EST by Christian Nolte
Modified: 2009-11-18 05:32 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-11-18 05:32:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Christian Nolte 2008-12-02 17:55:13 EST
If I try to playback some videos in selinux enforcing mode, totem-mozplugin is unable to connect to the ORBIT service and the following selinux audit is generated:

node=ravine.lc type=AVC msg=audit(1228257611.253:36): avc: denied { read } for pid=3659 comm="totem" name="icons" dev=dm-0 ino=1016382 scontext=unconfined_u:unconfined_r:nsplugin_t:s0 tcontext=system_u:object_r:gconf_home_t:s0 tclass=dir 

node=ravine.lc type=SYSCALL msg=audit(1228257611.253:36): arch=40000003 syscall=5 success=yes exit=19 a0=852d8a8 a1=98800 a2=1f4 a3=852d8a8 items=0 ppid=3658 pid=3659 auid=500 uid=500 gid=500 euid=500 suid=500 fsuid=500 egid=500 sgid=500 fsgid=500 tty=(none) ses=1 comm="totem" exe="/usr/bin/totem" subj=unconfined_u:unconfined_r:nsplugin_t:s0 key=(null) 

If I relabel ./icons accordingly (restorecon -R -v ./icons) nothing changes. The plugin only works for me in permissive mode.

$ rpm -qa | grep totem

$ rpm -q selinux-policy
Comment 1 Daniel Walsh 2008-12-03 08:45:00 EST
You can add these rules for now using

# grep avc /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Fixed in selinux-policy-3.5.13-30.fc10
Comment 2 Bug Zapper 2009-11-18 05:16:55 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 

Note You need to log in before you can comment on or make changes to this bug.